MSEND(8)

NAME
msend - send UDP messages to a multicast group

SYNOPSIS
msend [-g GROUP] [-p PORT] [-join] [-t TTL] [-i ADDRESS] [-P PERIOD] [-text 'text' | -n]
msend [-v | -h]

DESCRIPTION
Continuously send UDP packets to the multicast group specified by the -g and -p options.

OPTIONS

-g GROUP
    Specify the IP multicast address to which the packets are sent. The default group is 224.1.1.1.

-p PORT
    Specify the UDP port number used by the multicast group. The default port number is 4444.

-join
    Multicast sender will join join the multicast group. By default, a multicast sender does not join the group.

-t TTL
    Specify the TTL (1-255) value in the message. You must increase this if you want to route the traffic, otherwise the first router will drop the packets! The default value is 1.

-i ADDRESS
    Specify the IP address of the interface to be used to send the packets. The default value is INADDR_ANY which implies that the default interface selected by the system will be used.

-P PERIOD
    Specify the interval in milliseconds between two transmitted packets. The default value is 1000 milliseconds.

-text 'text'
    Specify a message text which is sent as the payload of the packets and is displayed by the mreceive(8) command. The default value is an empty string.

-n  Interpret the contents of the message text as a number instead of a string of characters. Use mreceive -n on the other end to interpret the message text correctly.

-v  Print version information.

-h  Print the command usage.

SEE ALSO
mreceive(8)